# AmoebaInPlaneAngleForce Class Reference

This class implements an interaction at trigonal centers corresponding to the projected in-plane angle bend energy between four particles. More...

Inheritance diagram for AmoebaInPlaneAngleForce:

List of all members.

## Public Member Functions

def | getNumAngles
| getNumAngles(self) -> int
def | setAmoebaGlobalInPlaneAngleCubic
| setAmoebaGlobalInPlaneAngleCubic(self, double cubicK)
def | getAmoebaGlobalInPlaneAngleCubic
| getAmoebaGlobalInPlaneAngleCubic(self) -> double
def | setAmoebaGlobalInPlaneAngleQuartic
| setAmoebaGlobalInPlaneAngleQuartic(self, double quarticK)
def | getAmoebaGlobalInPlaneAngleQuartic
| getAmoebaGlobalInPlaneAngleQuartic(self) -> double
def | setAmoebaGlobalInPlaneAnglePentic
| setAmoebaGlobalInPlaneAnglePentic(self, double penticK)
def | getAmoebaGlobalInPlaneAnglePentic
| getAmoebaGlobalInPlaneAnglePentic(self) -> double
def | setAmoebaGlobalInPlaneAngleSextic
| setAmoebaGlobalInPlaneAngleSextic(self, double sexticK)
def | getAmoebaGlobalInPlaneAngleSextic
| getAmoebaGlobalInPlaneAngleSextic(self) -> double
def | addAngle
| addAngle(self, int particle1, int particle2, int particle3, int particle4, double length, double quadraticK) -> int
def | getAngleParameters
| getAngleParameters(self, int index)
def | setAngleParameters
| setAngleParameters(self, int index, int particle1, int particle2, int particle3, int particle4, double length, double quadraticK)
def | updateParametersInContext
| updateParametersInContext(self, Context context)
def | __init__
| __init__(self) -> AmoebaInPlaneAngleForce __init__(self, AmoebaInPlaneAngleForce other) -> AmoebaInPlaneAngleForce
def | __del__
| __del__(self)

## Public Attributes

| this

## Detailed Description

This class implements an interaction at trigonal centers corresponding to the projected in-plane angle bend energy between four particles.

The interaction is defined by a 6th order polynomial in the angle between them. Only the quadratic term is set per-angle. The coefficients of the higher order terms each have a single value that is set globally.

To use it, create an AmoebaInPlaneAngleForce object then call addAngle() once for each angle. After an angle has been added, you can modify its force field parameters by calling setAngleParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self) -> AmoebaInPlaneAngleForce __init__(self, AmoebaInPlaneAngleForce other) -> AmoebaInPlaneAngleForce

Create an AmoebaAngleForce.

def addAngle | ( |  | self,
|  |  | args |
| ) |  |  |

addAngle(self, int particle1, int particle2, int particle3, int particle4, double length, double quadraticK) -> int

Add an angle term to the force field.

Parameters:

  | particle1 | the index of the first particle connected by the angle
  | particle2 | the index of the second particle connected by the angle
  | particle3 | the index of the third particle connected by the angle
  | particle4 | the index of the fourth particle connected by the angle
  | length | the equilibrium angle, measured in radians
  | quadratic | k the quadratic force constant for the angle measured in kJ/mol/radian^2

def getAmoebaGlobalInPlaneAngleCubic | ( |  | self | ) |

getAmoebaGlobalInPlaneAngleCubic(self) -> double

Get the global cubic term

def getAmoebaGlobalInPlaneAnglePentic | ( |  | self | ) |

getAmoebaGlobalInPlaneAnglePentic(self) -> double

Get the global pentic term

def getAmoebaGlobalInPlaneAngleQuartic | ( |  | self | ) |

getAmoebaGlobalInPlaneAngleQuartic(self) -> double

Get the global quartic term

def getAmoebaGlobalInPlaneAngleSextic | ( |  | self | ) |

getAmoebaGlobalInPlaneAngleSextic(self) -> double

Get the global sextic term

def getAngleParameters | ( |  | self,
|  |  | args |
| ) |  |  |

getAngleParameters(self, int index)

Get the force field parameters for an angle term.

Parameters:

  | index | the index of the angle for which to get parameters
  | particle1 | the index of the first particle connected by the angle
  | particle2 | the index of the second particle connected by the angle
  | particle3 | the index of the third particle connected by the angle
  | particle4 | the index of the fourth particle connected by the angle
  | length | the equilibrium angle, measured in radians
  | quadratic | k the quadratic force constant for the angle measured in kJ/mol/radian^2

def getNumAngles | ( |  | self | ) |

getNumAngles(self) -> int

Get the number of in-plane angle terms in the potential function

def setAmoebaGlobalInPlaneAngleCubic | ( |  | self,
|  |  | args |
| ) |  |  |

setAmoebaGlobalInPlaneAngleCubic(self, double cubicK)

Set the global cubic term

Parameters:

  | cubicK | the cubic force constant for the angle

def setAmoebaGlobalInPlaneAnglePentic | ( |  | self,
|  |  | args |
| ) |  |  |

setAmoebaGlobalInPlaneAnglePentic(self, double penticK)

Set the global pentic term

Parameters:

  | penticK | the pentic force constant for the angle

def setAmoebaGlobalInPlaneAngleQuartic | ( |  | self,
|  |  | args |
| ) |  |  |

setAmoebaGlobalInPlaneAngleQuartic(self, double quarticK)

Set the global quartic term

Parameters:

  | quarticK | the quartic force constant for the angle

def setAmoebaGlobalInPlaneAngleSextic | ( |  | self,
|  |  | args |
| ) |  |  |

setAmoebaGlobalInPlaneAngleSextic(self, double sexticK)

Set the global sextic term

Parameters:

  | sexticK | the sextic force constant for the angle

def setAngleParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setAngleParameters(self, int index, int particle1, int particle2, int particle3, int particle4, double length, double quadraticK)

Set the force field parameters for an angle term.

Parameters:

  | index | the index of the angle for which to set parameters
  | particle1 | the index of the first particle connected by the angle
  | particle2 | the index of the second particle connected by the angle
  | particle3 | the index of the third particle connected by the angle
  | particle4 | the index of the fourth particle connected by the angle
  | length | the equilibrium angle, measured in radians
  | quadratic | k the quadratic force constant for the angle, measured in kJ/mol/radian^2

def updateParametersInContext | ( |  | self,
|  |  | args |
| ) |  |  |

updateParametersInContext(self, Context context)

Update the per-angle parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setAngleParameters() to modify this object's parameters, then call updateParametersInState() to copy them over to the Context.

The only information this method updates is the values of per-angle parameters. The set of particles involved in an angle cannot be changed, nor can new angles be added.

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py